﻿using System;
using System.Data;
using System.Windows.Forms;
using Telerik.WinControls.UI;

namespace _452570
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            #region prepare RadDropDownListControl

            DataTable table = new DataTable();
            table.Columns.Add("ID");
            table.Columns.Add("Text");

            for (int i = 0; i < 10; i++)
            {
                RadListDataItem item = new RadListDataItem(i + ". Some item with longer text");
                radDropDownList1.Items.Add(item);
                RadListDataItem item1 = new RadListDataItem(i + ". Shorter text");
                radDropDownList1.Items.Add(item1);

                table.Rows.Add(i, i + ". Some item with longer text");
                table.Rows.Add(i, i + ". Shorter text");
            }

            #endregion prepare RadDropDownListControl

            //settings for the item tooltips
            radDropDownList1.DropDownSizingMode = SizingMode.UpDownAndRightBottom;
            radDropDownList1.VisualListItemFormatting += new VisualListItemFormattingEventHandler(radDropDownList1_VisualListItemFormatting);

			this.radDropDownList1.AutoCompleteMode = AutoCompleteMode.Suggest;
			this.radDropDownList1.DropDownListElement.AutoCompleteSuggest = new CustomAutoSuggestHelper(this.radDropDownList1.DropDownListElement);
        }

        #region RadDropDownList items tooltips

        private void radDropDownList1_VisualListItemFormatting(object sender, VisualItemFormattingEventArgs args)
        {
			args.VisualItem.ToolTipText = args.VisualItem.Text;
        }

        #endregion RadDropDownList items tooltips

		public class CustomAutoSuggestHelper : AutoCompleteSuggestHelper
		{
			public CustomAutoSuggestHelper(RadDropDownListElement dropDown)
				: base(dropDown)
			{
			}


			protected override bool DefaultFilter(RadListDataItem item)
			{
				return item.Text.Contains(this.Filter);
			}			
		}
    }
}